dpkg-fsys-usrunmess(8)

NAMN
dpkg-fsys-usrunmess - gör röran med sammanslagen-/usr-via-aliaskatalogen ogjord

SYNOPS
dpkg-fsys-usrunmess [flagga...]

BESKRIVNING
dpkg-fsys-usrunmess är ett verktyg för att rätta till filsystem som har nyinstallerats med nyare installationsprogram med olyckliga förval eller migrerats till den trasiga sammanslagna /usr via aliaskataloglayout, som inte stöds av dpkg. Se dpkg:s FAQ.

Observera: I Debian har dess tech-ctte bestämt att i utgåvan efter bookworm så kommer inte filsystem som inte har usrmerged-layouten att stödas, och att några av deras paketansvariga kanske inte kommer rätta problem eller medvetet ta bort stöd för icke-usrmerged, så du måste bestämma dig för vad som passar dig bäst.

Programmet kommer utföra följande övergripande funktioner:

•   Se om systemet behöver växlas över, annars inte gör någonting.

•   Kontrollera att dpkg-databasen är konsistent och annars avsluta.

•   Skapa och installera ett paket för förebyggande av regression, om ombeds på kommandoraden eller annars i en fråga.

•   Hämta listan över filer och alternativ som behöver återställas.

•   Se efter ospårade kärnmoduler som också kan behöva flyttas,

•   Skapa en skugghierarki under /.usrunmess, genom att skapa katalogernas symboliska länkar eller hårdlänka eller kopiera filerna efter behov.

•   Fråga efter bekräftelse innan det fortsätter, om ombett från kommandoraden.

•   Låser dpkg-databasen.

•   Markera alla paket som halvkonfigurerade och tvinga fram körning av utvecklarskript som kan behöva återskapa filer.

•   Ersätt aliaskatalogerna med skuggkatalogerna, genom att skapa en säkerhetskopia av de gamla symboliskt länkade katalogerna och byta namn på skuggkatalogerna över dem.

•   Märk om MAC-information för kataloger och symboliska länkar om nödvändigt.

•   Ta bort säkerhetskopierade symboliska länkar.

•   Ta bort gamla flyttade objekt, men skjut upp borttagning av kataloger.

•   Ta bort uppskjutna kataloger som inte refereras av dpkg-query.

•   Ta bort skugg-rotkatalogen.

•   Registrerar en policy-rc.d som förhindrar tjänstehandlingar, vilket betyder att tjänster kan behöva startas om efteråt, ideellt genom en omstart.

•   Omkonfigurera alla paket.

•   Avregistrera policy-rc.d och återställ altnerativ-tillståndet.

Observera: När programmet körs från vissa skal såsom bash(1) eller zsh(1), kan du efter att det har körts be skalet att glömma alla ihågkomna platser för körbara program med till exempel "hash -r".

Observera: Vissa kataloger kan dröja kvar efter migreringen i vilket fall de innehåller ospårade filer. När skriptet är färdig skrivs en förteckning ut som kan undersökas ytterligare.

Varning: Observera att den här åtgärden potentiellt kan göra systemet oanvändbart eller trasigt ifall det uppstår en plötslig krasch eller omstart, systemet är i ett oväntat tillstånd, eller möjliga programfel i skriptet. Var förberedd med återställningsmedia och överväg att säkerhetskopiera systemet i förväg.

FLAGGOR

-p, --prompt
    Fråga vid punkten där det inte finns någon återvändo, så att felsökningsutdata och skugghierarkin kan utvärderas innan man fortsätter.

--prevention
--no-prevention
    Aktiverar eller inaktiverar skapande och installation av ett paket för förebyggande av regression i systemet. Om ingen av flaggorna anges ställs en fråga om vad som ska utföras.

    Det skapade paketet innehåller fältet Protected satt till yes för att skydda mot att paketet tas bort av misstag.

-n, --no-act
--dry-run
    Den här flaggan aktiverar torrkörningsläget, där inga destruktiva åtgärder utförs, bara förberedelsedelen.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_USRUNMESS_NOACT
    Den här inställningen anger om torrkörningsläget ska aktiveras.

SE ÄVEN
<https://wiki.debian.org/Teams/Dpkg/FAQ#broken-usrmerge>.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.